@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&display=swap');

body {
    background-color: #171717;
    font-family: 'Pixelify Sans', sans-serif;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main-btn, .shop-btn, .support-btn {
    width: 250px;
    height: 60px;
    background-color: #FFAE00;
    color: #000000;
    border: none;
    border-radius: 10px;
    padding: 10px 20px;
    margin: 10px;
    cursor: pointer;
    font-family: 'Pixelify Sans', sans-serif;
    font-size: 30px;
    font-weight: 700;
    user-select: none;

    transition: transform 0.3s ease, box-shadow 0.3s ease;
    transform: scale(1);
    box-shadow: 0 0 0px rgba(255, 174, 0, 0);
}

.main-btn:hover, .shop-btn:hover, .support-btn:hover {
    box-shadow: 0 0 15px #FFAE00;
    transform: scale(1.05); 
}

.main-container-img {
    width: 1100px;
    margin-top: 20px;
    user-select: none;
}

.server-ip {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.server-ip-texthead {
    color: #FFFFFF;
    font-size: 40px;
    font-weight: 700;
    margin-top: 1px;
    user-select: none;
}

.server-version-title {
    color: #FFFFFF;
    font-size: 40px;
    font-weight: 700;
    margin-top: 30px;
    user-select: none;
}

.server-ip-block {
    display: block;
    width: 350px;
    height: 70px;
    background-color: #7B00FF;
    color: #FFFFFF;
    border: 10px solid #FFFFFF;
    border-radius: 40px;
    border-color: #FFFFFF;
    padding: 10px 20px;
    padding-top: 20px;
    font-family: 'Pixelify Sans', sans-serif;
    font-size: 40px;
    font-weight: 700;
    text-align: center;
    cursor: pointer;
    user-select: none;

    transition: transform 0.3s ease, box-shadow 0.3s ease;
    transform: scale(1);
    box-shadow: 0 0 0px rgba(255, 174, 0, 0);
}

.server-ip-block:hover {
    box-shadow: 0 0 25px #7B00FF;
    transform: scale(1.05); 
}

.footer-container {
    width: 800px;
    height: 275px;
    margin-top: 100px;
    border: 10px solid #FFFFFF;
    border-radius: 35px;
    margin-bottom: 20px;
}

.footer-text {
    color: #FFFFFF;
    font-size: 50px;
    font-weight: 700;
    margin-top: 20px;
    text-align: center;
    user-select: none;
}

.footer-icons {
    display: flex;
    justify-content: center;
    gap: 10px;
    user-select: none;
}
